Subject: rmdir runs "amok", users "curse" GNU...(as rmdir has no option to stay on 1 file system)...

From: Linda Walsh <[email-masked]>
Date: Sun, 09 Sep 2012 17:31:12 -0700

If you are going to only provide 1 mode of functionality, it should
be to only rmdir dirs on the same file system as the starting args.

Instead it follows network mount points doing who knows what.  I
already know that it has in the past, on network'd file systems, gone
ahead and did a 'pre-delete' on a dir that read as 'unwritable' due to
files being in the dir -- and renamed it to some obscure name for later
processing when it thought it would make a difference.  While that problem
was fixed, it was caused by a change in the linux-based netword-file-share
software.

Having rmdir follow all network mounts and deleting remote files would seem
to be a nasty potential security issue.  

Note, using shell to do this, is the normal recommended way to do this,
just like rm I'm told, is the recommended solution, so
following those instructions, I tried to use "rmdir **", (since rmdir has
no recursive option, it is mandatory to use shell.